translate-toolkit (3.14.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop no-longer needed dependency on python3-pkg-resources
    (Closes: #1083807).

 -- Stuart Prescott <stuart@debian.org>  Mon, 18 Nov 2024 00:18:54 +1100

translate-toolkit (3.13.4-1) unstable; urgency=medium

  * New upstream version.
    - Fixes FTBFS with Python 3.13 (Closes: #1082336)
  * Add new build-deps for documentation changes.
  * Drop unused dependencies on ancient python3-simplejson (Closes: #1080171).

 -- Stuart Prescott <stuart@debian.org>  Thu, 26 Sep 2024 21:27:05 +1000

translate-toolkit (3.13.3-1) unstable; urgency=medium

  * New upstream release

 -- Stuart Prescott <stuart@debian.org>  Wed, 11 Sep 2024 04:44:09 +1000

translate-toolkit (3.13.2-2) unstable; urgency=medium

  * Require newer python3-aeidon to allow tests to pass.

 -- Stuart Prescott <stuart@debian.org>  Mon, 22 Jul 2024 17:39:15 +1000

translate-toolkit (3.13.2-1) unstable; urgency=medium

  * New upstream release.
   - Add dependencies on python3-wcwidth for build, runtime and tests.

 -- Stuart Prescott <stuart@debian.org>  Mon, 15 Jul 2024 18:15:30 +1000

translate-toolkit (3.13.1-1) unstable; urgency=medium

  * New upstream release.
  * Update dependencies from python3-chardet to python3-charset-normalizer

 -- Stuart Prescott <stuart@debian.org>  Thu, 27 Jun 2024 18:43:49 +1000

translate-toolkit (3.13.0-2) unstable; urgency=medium

  * Drop patch to workaround old aeidon version.

 -- Stuart Prescott <stuart@debian.org>  Thu, 13 Jun 2024 18:11:30 +1000

translate-toolkit (3.13.0-1) unstable; urgency=medium

  * New upstream release.
    - Fixes some failing tests leading to FTBFS (Closes: #1070460)
    - Drops some old Mozilla scripts that are no longer used
      (Closes: #1068729)
  * Back out upstream change for python-aeidon whitespace output changes.
  * Update Standards-Version to 4.7.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Mon, 06 May 2024 18:58:27 +1000

translate-toolkit (3.12.2-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Sun, 18 Feb 2024 15:57:50 +1100

translate-toolkit (3.12.1-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Tue, 26 Dec 2023 10:42:03 +1100

translate-toolkit (3.11.1-1) unstable; urgency=medium

  * New upstream version.
    - Compatible with Python 3.12 (Closes: #1056535)
    - Refresh patches
    - Add new patch to test installed scripts
    - Remove old syrupy cache handling
    - Update autopkgtest tests for new test layout
    - Fix up paths in d/copyright
    - Drop code to move test data around in d/rules
    - Drop code to push (some) tests into .deb
    - Update lintian overrides

 -- Stuart Prescott <stuart@debian.org>  Sun, 10 Dec 2023 00:33:51 +1100

translate-toolkit (3.10.0-1) unstable; urgency=medium

  * New upstream release
    - refresh patches
    - drop obsolete dependencies on pycountry
    - add new dependencies on python3-mistletoe, python3-syrupy

 -- Stuart Prescott <stuart@debian.org>  Sun, 03 Sep 2023 11:54:49 +1000

translate-toolkit (3.8.4-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Stuart Prescott <stuart@debian.org>  Sun, 12 Feb 2023 11:19:28 +1100

translate-toolkit (3.8.3-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Stuart Prescott <stuart@debian.org>  Sun, 29 Jan 2023 12:25:32 +1100

translate-toolkit (3.8.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Stuart Prescott <stuart@debian.org>  Wed, 18 Jan 2023 17:13:11 +1100

translate-toolkit (3.8.0-1) unstable; urgency=medium

  * New upstream version.
    - refresh patches
  * Update Standards-Version to 4.6.2 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Mon, 09 Jan 2023 18:40:56 +1100

translate-toolkit (3.7.4-1) unstable; urgency=medium

  * New usptream release.

 -- Stuart Prescott <stuart@debian.org>  Wed, 09 Nov 2022 15:09:17 +1100

translate-toolkit (3.7.3-2) unstable; urgency=medium

  * Switch pybuild buildsystem to pyproject plugin.
    - require pybuild newer than 5.20220923 to test the entry points in the
      'test' step
    - drop old workaround to testing entry points after the install step
    - move python3-setuptools to B-D (from B-D-I)
  * Fiddle with lintian overrides. Again.

 -- Stuart Prescott <stuart@debian.org>  Sun, 25 Sep 2022 16:11:24 +1000

translate-toolkit (3.7.3-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Thu, 15 Sep 2022 23:46:10 +1000

translate-toolkit (3.7.2-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.6.1 (no changes required).
  * Update lintian override format.

 -- Stuart Prescott <stuart@debian.org>  Wed, 20 Jul 2022 01:13:03 +1000

translate-toolkit (3.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Sat, 18 Jun 2022 17:55:54 +1000

translate-toolkit (3.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Sat, 14 May 2022 13:51:47 +1000

translate-toolkit (3.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Sat, 23 Apr 2022 17:23:29 +1000

translate-toolkit (3.6.0-2) unstable; urgency=medium

  * Add versioned dependency on pyparsing for autopkgtests.

 -- Stuart Prescott <stuart@debian.org>  Tue, 08 Mar 2022 23:58:39 +1100

translate-toolkit (3.6.0-1) unstable; urgency=medium

  * New upstream release.
    - includes compatibility with pyparsing 3 (Closes: #1005471)

 -- Stuart Prescott <stuart@debian.org>  Tue, 08 Mar 2022 00:31:02 +1100

translate-toolkit (3.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.6.0 (no changes required).
  * Include tight version requirement between translate-toolkit and
    python3-translate (Closes: #991225).
  * Add patch to stub-out use of unpackaged "fluent.syntax" module
    in test suite.

 -- Stuart Prescott <stuart@debian.org>  Mon, 18 Oct 2021 15:56:46 +1100

translate-toolkit (3.3.6-1) experimental; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Mon, 28 Jun 2021 16:54:34 +1000

translate-toolkit (3.3.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Stuart Prescott <stuart@debian.org>  Sat, 06 Feb 2021 18:43:00 +1100

translate-toolkit (3.3.0-1) unstable; urgency=medium

  * New upstream release.
   - refresh patches
  * Update Standards-Version to 4.5.1 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Sun, 10 Jan 2021 15:48:02 +1100

translate-toolkit (3.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Sun, 08 Nov 2020 14:24:57 +1100

translate-toolkit (3.1.1-1) unstable; urgency=medium

  * New upstream release.
    - drop patches no longer needed.

 -- Stuart Prescott <stuart@debian.org>  Sun, 27 Sep 2020 18:54:29 +1000

translate-toolkit (3.0.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.

  [ Stuart Prescott ]
  * New upstream release.
    - drop l20n dependencies as format no longer supported
    - drop six dependencies as no longer needed
    - drop tests_cheroot_missing.patch as not needed with Python 3
    - refresh patches
  * Move to debhelper-compat 13.
    - use execute_after_* features to simplify rules
    - use PYBUILD_* variables to simplify testing now that Python 2 is gone

 -- Stuart Prescott <stuart@debian.org>  Sun, 09 Aug 2020 17:14:55 +1000

translate-toolkit (2.5.1-1) unstable; urgency=medium

  * New upstream release.
    - prop2po rewritten and no longer generates SyntaxWarning (Closes: #949641).

 -- Stuart Prescott <stuart@debian.org>  Mon, 01 Jun 2020 21:34:38 +1000

translate-toolkit (2.5.0-2) unstable; urgency=medium

  * Only test with py3versions -s.
  * Update Standards-Version to 4.5.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Tue, 24 Mar 2020 01:51:12 +1100

translate-toolkit (2.5.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Stuart Prescott ]
  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Wed, 22 Jan 2020 00:09:17 +1100

translate-toolkit (2.4.0-2) unstable; urgency=medium

  * Drop Python 2 package (Closes: #938718).
  * Update Standards-Version to 4.4.1 (no changes required).
  * Update to debhelper-compat 12.
  * Update autopkgtest temporary directory.

 -- Stuart Prescott <stuart@debian.org>  Sat, 02 Nov 2019 16:39:56 +1100

translate-toolkit (2.4.0-1) unstable; urgency=medium

  * New upstream release
    - update dependencies for cheroot, ruamel.yaml
    - add new flatxml commands
    - drop web2py.patch test-pytest310.patch applied upstream
  * Remove Christian Perrier from the Uploaders list; thank you for many years
    of service to Debian! (Closes: #927543)
  * Update Standards-Version to 4.4.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Mon, 08 Jul 2019 10:36:18 +1000

translate-toolkit (2.3.1-3) unstable; urgency=medium

  * Fix web2py2po and po2web2py with upstream patch, with thanks to
    Petter Reinholdtsen, Vinyl Darkscratch and others.  (Closes: #916745)
  * Update Standards-Version to 4.3.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Thu, 28 Feb 2019 22:12:39 +1100

translate-toolkit (2.3.1-2) unstable; urgency=medium

  * Fix tests for pytest 3.10
  * Fix autopkgtests to test with all installed Python 3 interpreters.

 -- Stuart Prescott <stuart@debian.org>  Sun, 02 Dec 2018 16:43:35 +1100

translate-toolkit (2.3.1-1) unstable; urgency=medium

  * New upstream release.
    - Drop patches applied upstream
    - Add new build-dependency and recommends on python-backports.csv
  * Update msghack to Python 3 version.
    - Get rid of accidental dependency on Python 2
  * Patch msghack to preserve "msgctxt" strings" (Closes: #666413).
  * Update Standards-Version to 4.2.1 (no changes required).
  * Explicitly list all autopkgtest dependencies rather than using recommends.

 -- Stuart Prescott <stuart@debian.org>  Mon, 08 Oct 2018 09:51:10 +1100

translate-toolkit (2.3.0-3) unstable; urgency=medium

  * Switch to Python 3 for command line tools.
    - reinstate sub2po/po2sub (Closes: #902706).
  * Fix Rules-Requires-Root spelling
  * Update Standards-Version to 4.1.5 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Thu, 26 Jul 2018 14:22:20 +1000

translate-toolkit (2.3.0-2) unstable; urgency=medium

  * Cherry-pick upstream patch to enable ini format support with Python 3.

 -- Stuart Prescott <stuart@debian.org>  Tue, 27 Mar 2018 23:49:26 +1100

translate-toolkit (2.3.0-1) unstable; urgency=medium

  * New upstream release.
    - refresh patches, dropping sphinx-reproducible.patch and
      test-skip-tz-windhoek.patch (applied upstream) and py3-skip-tests.patch
      (obsoleted).
    - drop dependencies on python-babel (no longer needed)
    - add new dependencies on python-phply

 -- Stuart Prescott <stuart@debian.org>  Thu, 22 Mar 2018 12:58:59 +1100

translate-toolkit (2.2.5-3) unstable; urgency=medium

  * Add patch to make sphinx output reproducible.
  * Update Vcs-* fields to point to salsa.debian.org.
  * Add Rules-Require-Root: no.

 -- Stuart Prescott <stuart@debian.org>  Tue, 06 Mar 2018 01:06:13 +1100

translate-toolkit (2.2.5-2) unstable; urgency=medium

  * Patch out test failing due to TZ definition changes.
  * Update Standards-Version to 4.1.3 (no changes required).
  * Update to debhelper 11.
    - Relocate documentation to /usr/share/doc/translate-toolkit.
  * Drop unneeded lintian override for license.rst.

 -- Stuart Prescott <stuart@debian.org>  Fri, 05 Jan 2018 00:08:13 +1100

translate-toolkit (2.2.5-1) unstable; urgency=medium

  * New upstream version.
  * Refresh patches.
  * Update Standards-Version to 4.1.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Sat, 09 Sep 2017 01:03:34 +1000

translate-toolkit (2.0.0-2) unstable; urgency=medium

  * Stop altering PYTHONPATH in test suite to prevent failures when more than
    one Python 3 is available (Closes: #866551).
  * Update Standards-Version to 4.0.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Sun, 30 Jul 2017 00:59:40 +1000

translate-toolkit (2.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Sun, 26 Feb 2017 23:39:30 +1100

translate-toolkit (2.0.0~rc3-1) unstable; urgency=medium

  * New upstream release candidate.
  * Drop patches no-longer needed with this release.

 -- Stuart Prescott <stuart@debian.org>  Wed, 25 Jan 2017 13:31:22 +1100

translate-toolkit (2.0.0~rc1-1) unstable; urgency=medium

  * New upstream release.
  * Add missing dependency on python-pkg-resources for the entry-points.
  * Cherry-pick upstream reversion of the removal of selector.py.

 -- Stuart Prescott <stuart@debian.org>  Wed, 11 Jan 2017 00:22:17 +1100

translate-toolkit (2.0.0~b7-2) unstable; urgency=medium

  * skip cpo tests for the time being since python segfaults.
  * Add rename to build-depends.

 -- Stuart Prescott <stuart@debian.org>  Sat, 05 Nov 2016 21:13:44 +1100

translate-toolkit (2.0.0~b7-1) unstable; urgency=medium

  * Upload to unstable since 2.0 is looking good for inclusion in Stretch.
  * New upstream release.
    - drop patches for Xapian now incorporated upstream.

 -- Stuart Prescott <stuart@debian.org>  Thu, 03 Nov 2016 23:38:30 +1100

translate-toolkit (2.0.0~b6-1) experimental; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Sat, 29 Oct 2016 13:42:40 +1100

translate-toolkit (2.0.0~b5-2) experimental; urgency=medium

  * Add python3-xapian to the dependencies now that it is available.
  * Add patches so that indexers and xapian module work under Python 3
    - xapian-no-apache-check.patch: skip check if module is being loaded from
      within mod_python. Thanks to Olly Betts for the suggestion.
    - xapian-query.patch: don't use unneeded and now non-existent copy
      constructor of xapian query objects. Thanks to Olly Betts for the hint.
      (Closes: #839306)
    - xapian-python3.patch: usual Python 2 to 3 jiggles with imports, lists and
      encodings.
  * Update autopkgtests to include newly added dependencies.

 -- Stuart Prescott <stuart@debian.org>  Sun, 23 Oct 2016 01:11:44 +1100

translate-toolkit (2.0.0~b5-1) experimental; urgency=medium

  * New upstream release.
  * Remove Nicolas François (Nekral) from the uploaders list; thanks for all
    the work on i18n/l10n packages! (Closes: #832386)
  * Add build-dependencies and also recommend python-l20n/python3-l20n for
    new L20n handling ability.

 -- Stuart Prescott <stuart@debian.org>  Sun, 04 Sep 2016 14:34:02 +1000

translate-toolkit (2.0.0~b3-1) experimental; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Thu, 21 Jul 2016 18:47:13 +1000

translate-toolkit (2.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Add missing Breaks/Replaces for translate-toolkit-doc (Closes: #826687).

 -- Stuart Prescott <stuart@debian.org>  Thu, 16 Jun 2016 01:00:39 +1000

translate-toolkit (2.0.0~b1-1) experimental; urgency=medium

  * New upstream release.
    - Updates Turkish plural forms (Closes: #760977)
  * Split out separate Python 2 and Python 3 module packages
    - translate-toolkit contains only the command line tools now, depending on
      the Python 2 modules.
  * Split out separate documentation package.
  * Bump Standards-Version to 3.9.8 (no changes required).
  * Update DEP-8 tests for new packaging.
  * Update Vcs URLs to https versions.

 -- Stuart Prescott <stuart@debian.org>  Mon, 06 Jun 2016 17:36:04 +1000

translate-toolkit (1.13.0-1) unstable; urgency=medium

  * New upstream version (Closes: #794632).
  * Add local copy of xml.xsd to prevent network access when running tests.

 -- Stuart Prescott <stuart@debian.org>  Sun, 13 Sep 2015 00:46:09 +1000

translate-toolkit (1.12.0+dfsg1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Stuart Prescott <stuart@debian.org>  Wed, 27 Aug 2014 19:38:55 +1000

translate-toolkit (1.12.0+dfsg1-1) experimental; urgency=medium

  * New upstream release.
    - drops translate.misc.xmlwrapper (Closes: #644256).
    - drops embedded copies of modules: textwrap, contextlib (Closes: #555422).
  * Refresh patches for new upstream release.
    - drop po2web2py_missing_import.patch that was incorporated upstream.

 -- Stuart Prescott <stuart@debian.org>  Tue, 26 Aug 2014 00:30:54 +1000

translate-toolkit (1.11.0+dfsg-1) unstable; urgency=medium

  * New upstream version.
    - drop manpage-hyphen.patch and manpage-rst-note.patch incorporated
      upstream
    - drop zip-encoding.patch no longer required as sub-module is removed
    - repack source to remove sourceless sphinx theme
  * Bump standards version to 3.9.5 (no changes required).
  * Switch build system to pybuild.
  * Add additional build dependencies to allow test suite coverage.
  * Run test suite at build time.
  * Include autopkgtest tests.

 -- Stuart Prescott <stuart@debian.org>  Mon, 24 Feb 2014 00:55:24 +1100

translate-toolkit (1.10.0-2) unstable; urgency=low

  * Remove build and runtime dependencies on obsolete package python-aeidon
    (Closes: #714063)

 -- Stuart Prescott <stuart@debian.org>  Sat, 12 Oct 2013 00:30:10 +1100

translate-toolkit (1.10.0-1) unstable; urgency=low

  * New upstream version (Closes: #585834, #703170).
  * Drop translate-toolkit-dev-doc package, instead putting the API docs in
    the translate-toolkit package.
  * Bump Standards-Version to 3.9.4 (no changes required).
  * Fix spelling errors in man pages (thanks, lintian!).
  * Improve man page generation code.
  * Add lintian override for including the licence of the documentation in
    the documentation directory.
  * Update debian/rules to dh short form.
  * Update debian/copyright.
  * Update msghack to new version from Fedora.
  * Depend on libexttextcat-data to obtain the langmodels
    (Closes: #703942, #703943).
  * Fix encoding of filenames in zipfiles (Closes: #643008).

 -- Stuart Prescott <stuart@debian.org>  Tue, 16 Apr 2013 12:32:21 +1000

translate-toolkit (1.9.0-3) unstable; urgency=low

  * Fix long description of translate-toolkit-dev-doc. Grazie to
    Beatrice Torraca. Closes: #674646
  * Fix UnicodeEncodeError on UTF-8 encoded translator comments by
    using a patch applied in upstream's SVN.
    Closes: #658621
  * No longer Build-Depend on quilt as the package is v3.
  *  Bump debhelper compatibility level to 9.
  * Bump Standards to 3.9.3 (checked)
  * No longer handle new manpages in a patch

 -- Christian Perrier <bubulle@debian.org>  Tue, 29 May 2012 06:12:15 +0200

translate-toolkit (1.9.0-2) unstable; urgency=low

  * Add build-arch and build-stamp targets to debian/rules
  * Bump Standards to 3.9.2 (checked)
  * Move python dependency to Build-Depends
  * Bump debhelper compatibility to 8
  * Replace "dh_cliean -k" by dh_prep

 -- Christian Perrier <bubulle@debian.org>  Sun, 04 Dec 2011 21:25:57 +0100

translate-toolkit (1.9.0-1) unstable; urgency=low

  * New upstream release
  * Set maintainer as Debian l10n developers, add myself to Uploaders
    and remove Matthias Klose who is no longer involved in this package,
    AFAICT.
  * Drop examples as lookupclient.py is no longer provided.
  * Drop dh_pycentral in favor of dh_python2. Closes: #617132
  * Recommend python-aeidon instead of gaupol. Closes: #569983
  * Bump Standard to 3.9.1 (checked)
  * Drop dh_link call
  * Move to source v3

 -- Christian Perrier <bubulle@debian.org>  Sun, 17 Apr 2011 10:06:54 +0200

translate-toolkit (1.7.0-0.1) unstable; urgency=low

  * Non-maintainer upload with maintainer's approval
  * New upstream release. Closes: #589298

 -- Christian Perrier <bubulle@debian.org>  Tue, 27 Jul 2010 12:48:10 +0200

translate-toolkit (1.5.3-1) unstable; urgency=low

  * New upstream release
  * debian/control: gaupol and python-iniparse are no more needed as build
    dependencies
  * debian/control: Standards-Version bumped to 3.8.4. No changes.
  * debian/control: Remove build dependency on python-all-dev.
  * debian/control: Add dependency on ${misc:Depends}.

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Mon, 01 Feb 2010 23:33:18 +0100

translate-toolkit (1.5.2-1) unstable; urgency=low

  * New upstream release
  * debian/patches/cleanup_install: Do not distribute html2po and po2html.
    They are not suitable for a release. po4a or xml2po give better results
    with HTML files. Closes: #545349, #545350, #545351, #545352, #545353,
    #545355, #545360, #545361, #531474

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Mon, 11 Jan 2010 21:08:18 +0100

translate-toolkit (1.5.1-1) unstable; urgency=low

  * New upstream release
  * debian/control: Recommends python-iniparse
  * debian/patches/cleanup_install: ini2po and po2ini are now distributed.
  * debian/control: python-iniparse is needed at build time to generate the
    po2ini and ini2po manpages.
  * debian/control: XS-Python-Version updated to >=2.5 (python2.5 was already
    required by the dependencies)

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Fri, 04 Dec 2009 22:58:23 +0100

translate-toolkit (1.5.0-1) UNRELEASED; urgency=low

  * New upstream release

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Sat, 21 Nov 2009 15:40:01 +0100

translate-toolkit (1.4.1-1) unstable; urgency=low

  * New upstream release
  * debian/patches/spellchecker_check_something: Detection of spellcher did
    not work.
  * debian/control: Standards-Version bumped to 3.8.3. No changes.

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Sun, 08 Nov 2009 23:16:04 +0100

translate-toolkit (1.4.0-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depend on python* (>= 2.5.4) for python.mk.

 -- Kumar Appaiah <akumar@debian.org>  Mon, 19 Oct 2009 17:32:57 -0500

translate-toolkit (1.4.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "manipulates site-packages/ directly, failing with Python 2.6"
    Applied Kumar's patch and uploaded, thanks dude! (Closes: #547863)

 -- Bastian Venthur <venthur@debian.org>  Sat, 17 Oct 2009 14:31:11 +0200

translate-toolkit (1.4.0-1) unstable; urgency=low

  * New upstream release

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Mon, 10 Aug 2009 19:29:08 +0200

translate-toolkit (1.4.0~rc2-1) experimental; urgency=low

  * New upstream release

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Sun, 02 Aug 2009 23:28:48 +0200

translate-toolkit (1.4.0~rc1-1) experimental; urgency=low

  * New upstream release
    + debian/patches/test_optrecurse-typo: Removed (applied upstream).
    + debian/patches/message_end_with_escaped_backslash: Removed (applied
    upstream).
    + debian/patches/deepcopy_bug870: Removed (applied upstream).
    + debian/patches/cleanup_install: Updated
  * debian/control: Added build dependency and recommendation for gaupol
    (needed for sub2po and po2sub).
  * debian/patches/debian_gaupol_library_path: Added to fic the path ofthe
    gaupol library.
  * debian/patches/poterminology_defaultstopfile: Fix the generation of the
    poterminology manpage.

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Fri, 24 Jul 2009 18:27:06 +0200

translate-toolkit (1.3.0-6) unstable; urgency=low

  * debian/patches/message_end_with_escaped_backslash: Fix failure caused by
    PO messages ending with an escaped backslash. Closes: #536045
  * debian/control: Standards-Version bumped to 3.8.2. No changes.
  * debian/patches/tools_manpages: Use regular brackets insteadof curly
    brackets (introduced by C&P).

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Wed, 22 Jul 2009 20:33:01 +0200

translate-toolkit (1.3.0-5) unstable; urgency=low

  * debian/rules: Install the lintian override file with dh_lintian
  * debian/control, debian/compat: dh_lintian requires debhelper 6.0.7
  * debian/patches/deepcopy_bug870: Added upstream patch to fix suggestions.
    Closes: #523568
  * debian/patches/po2html_duplicate: Added minimal support for duplicate
    strings in po2html. This should work in most cases, but has a lot of
    flaws. Closes: #524106

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Fri, 22 May 2009 21:04:55 +0200

translate-toolkit (1.3.0-4) unstable; urgency=low

  * debian/patches/storage_bzr: Added patch to execute bzr from the pootle's
    working copy. Thanks to Roland Mas.

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Wed, 25 Mar 2009 21:41:44 +0100

translate-toolkit (1.3.0-3) unstable; urgency=low

  * debian/control: Recommend python-levenshtein. Otherwise, the toolkit
    generates warnings. Closes: #516671

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Sat, 28 Feb 2009 13:45:42 +0100

translate-toolkit (1.3.0-2) unstable; urgency=low

  * debian/patches/tools_manpages: Updated to 1.3.0.
  * debian/patches/tools_manpages: Removed poen and poglossary manpages.

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Tue, 10 Feb 2009 22:20:48 +0100

translate-toolkit (1.3.0-1) experimental; urgency=low

  * New upstream release
  * debian/rules: Cleanup. Pootle is no more part of the toolkit, it does not
    have to be removed anymore.
  * debian/rules: Cleanup. The license of the toolkit documentation
    distributed with the tarball is no more CC by-sa.
  * debian/patches/cleanup_install: build_tmdb not distributed currently.
  * debian/patches/tools_manpages: Added manpage for tmserver.
  * debian/rules: Added tmserver to the list of tools.
  * debian/control: Added a Build-Depends-Indep on python-simplejson.
  * debian/control: Added a Recommends on python-simplejson (used by
    tmserver).
  * debian/patches/test_optrecurse-typo, debian/patches/series: Fixed typo in
    translate/misc/test_optrecurse.py

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Tue, 10 Feb 2009 22:18:36 +0100

translate-toolkit (1.2.1-1) experimental; urgency=low

  * New upstream release

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Mon, 29 Dec 2008 15:58:12 +0100

translate-toolkit (1.2.0-1) experimental; urgency=low

  * New upstream release
  * debian/control: Update XS-Python-Version to >= 2.4. There were failures
    reported with Python2.3.

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Sat, 11 Oct 2008 17:16:57 +0200

translate-toolkit (1.2.0~rc1-1) experimental; urgency=low

  * New upstream release
    + debian/patches/cleanup_install: Updated patch for 1.2.0~rc1.
  * debian/control: Added python-vobject to Build-Depends-Indep and
    Recommends.
  * debian/control: Homepage field moved from the binary packages to the
    source package.
  * debian/control: Homepage changed to the wiki index.
  * debian/control: Added Vcs-Svn and Vcs-Browser fields.
  * debian/control, debian/README.source: Standards-Version bumped to 3.8.0.
  * debian/control: Recommend iso-codes, used for the translation of
    languages.

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Wed, 01 Oct 2008 23:49:35 +0200

translate-toolkit (1.1.1-3) unstable; urgency=low

  * debian/control: Remove alternatives in Build-Depends-Indep. sbuild do not
    support them. For backports, the python (>= 2.5) dependency can be
    replaced by python-elementtree if python 2.5 is not available.
    Closes: #473950

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Sat, 19 Apr 2008 16:24:17 +0200

translate-toolkit (1.1.1-2) unstable; urgency=low

  * Split the package in translate-toolkit and translate-toolkit-dev-doc to
    distribute the API documentation separately.  Closes: #472954
  * debian/control: Update the translate-toolkit's Description to mention new
    supported storage formats.

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Thu, 27 Mar 2008 23:04:58 +0100

translate-toolkit (1.1.1-1) unstable; urgency=low

  * New upstream release.
  * debian/translate-toolkit.doc-base: Fix the section to Text.
  * debian/patches/cleanup_install: po2ini and ini2po not packaged because
    iniparse is not in Debian.
  * debian/patches/tools_manpages: Added manpage for pocommentclean.
  * debian/patches/series, debian/patches/manpages_typo_comment. Remove
    patch applied upstream.
  * debian/control: Fix the Build-Depends, Build-Depends-Indep, and Depends.
    python-elementtree and python-pysqlite2 are included in python (>= 2.5).
    Thanks to Matthias Klose.
  * debian/control: Added Homepage field.
  * debian/rules: Remove the call to dh_python.

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Tue, 18 Mar 2008 23:19:45 +0100

translate-toolkit (1.1.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Added build dependency on python-lxml and python-elementtree for
      manpage generation
    + Added dependency on python-pysqlite2 (needed for the new cache)
    + Added recommendation for python-lxml (needed for XML processing)
    + Added recommendation for python-utidylib (needed for po2html)
    + Added recommendation for python-enchant (needed for pofilter
      -tspellcheck).  Closes: #451262
    + Added recommendation for python-elementtree (needed for odf2po)
    + Bump Standards-Version to 3.7.3. No changes.
  * debian/copyright:
    + Added copyright notice.
    + Added copyright information for msghack
    + Change license link to GPL-2 (valid both for the toolkit and msghack)
  * debian/msghack.py: Added msghack (needed by pocompendium).
  * debian/msghack.1: Added msghack manpage.
  * debian/rules: install msghack (needed by pocompendium).  Closes: #432099

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Fri, 22 Feb 2008 23:00:48 +0100

translate-toolkit (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * Remove patches applied upstream: manpages_missing_descriptions and
    manpages_groff_formatting.

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Tue, 19 Jun 2007 14:59:06 +0100

translate-toolkit (1.0-1) unstable; urgency=low

  * New upstream version. Closes: #426088
  * Set myself as Maintainer and Matthias as Uploader.
  * debian/watch: use the sf.net redirector and recognize bz2 archive.
  * Do not mention the documentation in the package description. The
    documentation provided by the upstream archive (localisation guide, etc.)
    is licensed under the Creative Commons Attribution-ShareAlike license, and
    has been removed from the package. Closes: #377407
  * debian/copyright: Indicate that the CC by-sa documentation has been
    stripped out.
  * debian/copyright.ccasl: No more needed. Removed.
  * Reactivate the doc-base registration, for the toolkit HTML documentation.
  * Add a check in the debian/rules clean target to make sure that only the
    translate toolkit documentation is distributed.
  * Add patch for a better groff formatting of the manpages (when the pages
    are generated with the --manpage option). The build system now depends on
    quilt (0.40, since I use the Makefile provided by quilt).
  * Generate the manpages at build time, and add manpages for the tools which
    do not support the --manpage option. Closes: #376279
  * Move debhelper from Build-Depends-Indep to Build-Depends. It is used in
    the clean rule.
  * Do not distribute lookupclient.py as a script, it is just an example.
  * Add a lintian override file for the script-not-executable issues (caused
    by the python shebang).
  * Add a dependency on gettext. The shell tools (in the tools directory)
    require the gettext tools.

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Thu, 07 Jun 2007 21:25:34 +0200

translate-toolkit (0.10.1-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Fri, 20 Oct 2006 01:02:07 +0200

translate-toolkit (0.10-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun,  3 Sep 2006 23:57:11 +0200

translate-toolkit (0.9.2-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 19 Aug 2006 21:12:52 +0000

translate-toolkit (0.9.1-1) unstable; urgency=low

  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Wed, 26 Jul 2006 17:51:38 +0200

translate-toolkit (0.9.1-0ubuntu1) edgy; urgency=low

  * New upstream version (bug fix release).
  * Fix PR 177, type error while merging translations.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jul 2006 12:07:44 +0000

translate-toolkit (0.9-1) unstable; urgency=low

  * New upstream version.
  * Convert to updated Python policy.

 -- Matthias Klose <doko@debian.org>  Wed, 28 Jun 2006 23:39:47 +0000

translate-toolkit (0.8.rel-0ubuntu2) dapper-updates; urgency=low

  * Fix error escaping \r in po2oo conversion.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 31 May 2006 21:07:50 +0200

translate-toolkit (0.8.rel-0ubuntu1) dapper; urgency=low

  * Final release (0.8).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 29 Mar 2006 15:51:44 +0000

translate-toolkit (0.8.rc6-1ubuntu1) dapper; urgency=low

  * Don't install the oo2rpo rpo2oo scripts anymore.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 22 Feb 2006 12:39:41 +0000

translate-toolkit (0.8.rc6-1) unstable; urgency=low

  * New upstream version 0.8rc6.
  * Rename source to translate-toolkit.

 -- Matthias Klose <doko@debian.org>  Mon, 13 Feb 2006 22:41:18 +0100

pootle (0.8.2005.0217-3ubuntu1) breezy; urgency=low

  * Remove the text of the Creative Commons Attribution-ShareAlike license
    from the copyright file. The docs are not included anymore.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Sep 2005 16:12:59 +0000

pootle (0.8.2005.0217-3) unstable; urgency=low

  * Rename the doc-base file, which is currently not used, so that it's
    not recognized by debhelper. Closes: #327289, #327384.

 -- Matthias Klose <doko@debian.org>  Fri,  9 Sep 2005 23:32:58 +0200

pootle (0.8.2005.0217-2) unstable; urgency=low

  * Rename the binary package to translate-toolkit and remove the pootle
    scripts from it. Pootle itself needs other software to be packaged
    to work properly. Closes: #324597, #317605.
  * Synchronize with Ubuntu.

 -- Matthias Klose <doko@debian.org>  Tue,  6 Sep 2005 22:40:05 +0200

pootle (0.8.2005.0217-0ubuntu3) breezy; urgency=low

  * Further modify oo2rpo and rpo2oo to write into one  / read from one file.

 -- Matthias Klose <doko@ubuntu.com>  Tue,  6 Sep 2005 18:57:53 +0200

pootle (0.8.2005.0217-0ubuntu2) breezy; urgency=low

  * Add scripts oo2rpo and rpo2oo to work with one po/pot file per oo module
    instead of one po/pot file per oo file.

 -- Matthias Klose <doko@ubuntu.com>  Sun,  7 Aug 2005 15:10:34 +0200

pootle (0.8.2005.0217-0ubuntu1) breezy; urgency=low

  * Initial upload for breezy.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 29 Jun 2005 20:04:56 +0000

pootle (0.8.2005.0217-1) unstable; urgency=low

  * Package was renamed upstream.
  * Version number is 0.8rc3.
  * Remove the documentation from the source, licensed under the
    Creative Commons ShareAlike License, considered to be non-free.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 29 Jun 2005 21:20:51 +0200

translate-toolkit (0.7.92-1) unstable; urgency=low

  * Initial Release (0.8 release candidate 2).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 21 Mar 2005 17:21:27 +0100
